Create program terms
Create the terms for a program.
post
Path parameters
programIdstringRequired
Body
namestringOptional
descriptionstring · nullableOptional
displayOrderinteger · int32 · nullableOptional
Responses
201
Created
application/json
400
Bad Request
application/json
typestring · nullableOptional
titlestring · nullableOptional
statusinteger · int32 · nullableOptional
detailstring · nullableOptional
instancestring · nullableOptional
Other propertiesanyOptional
403
Forbidden
application/json
500
Internal Server Error
post/public/v1/program/programs/{programId}/terms
POST /public/v1/program/programs/{programId}/terms HTTP/1.1
Host: api.platform.softwareone.com
Content-Type: application/json
Accept: */*
Content-Length: 53
{
"name": "text",
"description": "text",
"displayOrder": 1
}{
"type": "text",
"title": "text",
"status": 1,
"detail": "text",
"instance": "text",
"ANY_ADDITIONAL_PROPERTY": "anything"
}Last updated
Was this helpful?